kio Library: KIO::RenameDlg Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::RenameDlg Class Reference

A dialog for the options to rename two files. A dialog for renaming files.

Since:
  3.1.

More...

`#include <renamedlg.h>`

Inheritance diagram for KIO::RenameDlg:

[legend]
Collaboration diagram for KIO::RenameDlg:

[legend]
List of all members.

## Public Slots
void | b0Pressed ()
void | b1Pressed ()
void | b2Pressed ()
void | b3Pressed ()
void | b4Pressed ()
void | b5Pressed ()
void | b6Pressed ()
void | b7Pressed ()
void | b8Pressed ()
## Public Member Functions
| RenameDlg (QWidget *parent, const QString &caption, const QString &src, const QString &dest, RenameDlg_Mode mode, KIO::filesize_t sizeSrc=(KIO::filesize_t)-1, KIO::filesize_t sizeDest=(KIO::filesize_t)-1, time_t ctimeSrc=(time_t)-1, time_t ctimeDest=(time_t)-1, time_t mtimeSrc=(time_t)-1, time_t mtimeDest=(time_t)-1, bool modal=false)
KURL | newDestURL ()
## Static Public Member Functions
static QString | suggestName (const KURL &baseURL, const QString &oldName)
## Protected Slots
void | enableRenameButton (const QString &)

## Detailed Description

A dialog for the options to rename two files. A dialog for renaming files.

Since:
  3.1.

Definition at line 48 of file renamedlg.h.

## Constructor & Destructor Documentation

KIO::RenameDlg::RenameDlg | ( | QWidget * | parent,
|  | const QString & | caption,
|  | const QString & | src,
|  | const QString & | dest,
|  | RenameDlg_Mode | mode,
|  | KIO::filesize_t | sizeSrc = `(KIO::filesize_t)-1`,
|  | KIO::filesize_t | sizeDest = `(KIO::filesize_t)-1`,
|  | time_t | ctimeSrc = `(time_t)-1`,
|  | time_t | ctimeDest = `(time_t)-1`,
|  | time_t | mtimeSrc = `(time_t)-1`,
|  | time_t | mtimeDest = `(time_t)-1`,
|  | bool | modal = `false`
| ) |

  | Construct a "rename" dialog. Parameters:
  | parent | parent widget (often 0)
  | caption | the caption for the dialog box
  | src | the url to the file/dir we're trying to copy, as it's part of the text message
  | dest | the path to destination file/dir, i.e. the one that already exists
  | mode | parameters for the dialog (which buttons to show...),
  | sizeSrc | size of source file
  | sizeDest | size of destination file
  | ctimeSrc | creation time of source file
  | ctimeDest | creation time of destination file
  | mtimeSrc | modification time of source file
  | mtimeDest | modification time of destination file
  | modal | set to true for a modal dialog
See also: RenameDlg_Mode

## Member Function Documentation

KURL KIO::RenameDlg::newDestURL | ( |  | ) |

| Returns: the new destination valid only if RENAME was chosen

static QString KIO::RenameDlg::suggestName | ( | const KURL & | baseURL,
|  | const QString & | oldName
| ) | `[static]`

| Given a directory path and a filename (which usually exists already), this function returns a suggested name for a file that doesn't exist in that directory. The existence is only checked for local urls though. The suggested file name is of the form foo_1 foo_2 etc. Since: 3.4 Referenced by KDirOperator::mkdir().

void KIO::RenameDlg::b0Pressed | ( |  | ) | `[slot]`

| KDE4: rename to cancelPressed(), renamePressed() etc.

The documentation for this class was generated from the following file:

- renamedlg.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:59 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003